using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LHDN.CRM.Models.Models
{
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;

    [Table("Ref_StatusLevel3")]
    public class StatusLevel3
    {
        [Key]
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public int StatusLevel3ID { get; set; }

        public int StatusLevel2ID { get; set; }

        [ForeignKey("StatusLevel2ID")]
        private  StatusLevel2 StatusLevel2 { get; set; }

        [Required]
        [StringLength(250)]
        public string StatusLevel3Name { get; set; }

        [Required]
        public bool IsActive { get; set; }
      
        public bool IsSystem { get; set; }

        [Required]
        [StringLength(255)]
        public string CreatedBy { get; set; }

        [Required]
        public DateTime CreatedDatetime { get; set; }

        [Required]
        [StringLength(255)]
        public string LastUpdatedBy { get; set; }

        [Required]
        public DateTime LastUpdatedDatetime { get; set; }
    }
}
